## org.apache.xpath.functions
Class FuncConcat

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.functions.Function
              org.apache.xpath.functions.FunctionOneArg
                  org.apache.xpath.functions.Function2Args
                      org.apache.xpath.functions.Function3Args
                          org.apache.xpath.functions.FunctionMultiArgs
                              org.apache.xpath.functions.FuncConcat

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator, ExpressionNode, ExpressionOwner, XPathVisitable

    public class FuncConcat

extends FunctionMultiArgs

Execute the Concat() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncConcat()`

Method Summary
`void` `checkNumberArgs(int argNum)` Check that the number of arguments passed to this function is correct.
`XObject` `execute(XPathContext xctxt)` Execute the function.

Methods inherited from class org.apache.xpath.functions.FunctionMultiArgs
`callArgVisitors, canTraverseOutsideSubtree, deepEquals, fixupVariables, getArgs, setArg`

Methods inherited from class org.apache.xpath.functions.Function3Args
`getArg2`

Methods inherited from class org.apache.xpath.functions.Function2Args
`getArg1`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0, getExpression, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncConcat

    public FuncConcat()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the function. The function must return a valid object.

  Overrides:
    `execute` in class `Function`
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    `javax.xml.transform.TransformerException`

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Check that the number of arguments passed to this function is correct.

  Overrides:
    `checkNumberArgs` in class `FunctionMultiArgs`
  Parameters:
    `argNum` - The number of arguments that is being passed to the function.
  Throws:
    `WrongNumberArgsException`

Copyright © 2005 Apache XML Project. All Rights Reserved.